Loading...
Searching...
No Matches
stringutility.hh File Reference

Miscellaneous helper stuff. More...

`#include <cstddef>`
`#include <cstring>`
`#include <algorithm>`
`#include <cassert>`
`#include <cstdio>`
`#include <memory>`
`#include <string>`
`#include <new>`
`#include <dune/common/exceptions.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace

## Functions

template<typename C>
bool | Dune::hasPrefix (const C &c, const char *prefix)
| Check whether a character container has a given prefix.
template<typename C>
bool | Dune::hasSuffix (const C &c, const char *suffix)
| Check whether a character container has a given suffix.
template<class... T>
static std::string | Dune::formatString (const std::string &s, const T &... args)
| Format values according to printf format string.

## Detailed Description

Miscellaneous helper stuff.